Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction
Class XAException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.transaction.xa.XAException
                        |
                        +--weblogic.transaction.XAException

public final class XAException
extends javax.transaction.xa.XAException
implements weblogic.utils.NestedThrowable

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.transaction.xa.XAException
`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

Constructor Summary
`XAException()`
`XAException(int errCode, java.lang.String errMsg, java.lang.Throwable t)`
`XAException(java.lang.String s)`
`XAException(java.lang.String s, java.lang.Throwable t)`

Method Summary
`java.lang.Throwable` | `getNested()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `superPrintStackTrace(java.io.PrintStream ps)`
`void` | `superPrintStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `superToString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XAException

    public XAException()

### XAException

    public XAException(java.lang.String s)

### XAException

    public XAException(java.lang.String s,
                       java.lang.Throwable t)

### XAException

    public XAException(int errCode,
                       java.lang.String errMsg,
                       java.lang.Throwable t)

Method Detail

### getNested

    public java.lang.Throwable getNested()

  Specified by:
    getNested in interface weblogic.utils.NestedThrowable

  See Also:
    `NestedThrowable.getNested()`

### superToString

    public java.lang.String superToString()

  Specified by:
    superToString in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintWriter pw)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference